XSLTProcess.Factory.Attribute (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.XSLTProcess.Factory.Attribute,XSLTProcess.Factory.Attribute class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class XSLTProcess.Factory.Attribute

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.XSLTProcess.Factory.Attribute

All Implemented Interfaces:
  DynamicAttribute, DynamicConfigurator, DynamicElement

Enclosing class:
  XSLTProcess.Factory

public static class XSLTProcess.Factory.Attribute
extends java.lang.Object
implements DynamicConfigurator

A JAXP factory attribute. This is mostly processor specific, for example for Xalan 2.3+, the following attributes could be set:

- http://xml.apache.org/xalan/features/optimize (true|false)
- http://xml.apache.org/xalan/features/incremental (true|false)

Constructor Summary
`XSLTProcess.Factory.Attribute()`

Method Summary
`java.lang.Object` | `createDynamicElement(java.lang.String name)` Create an element with the given name
`java.lang.String` | `getName()`
`java.lang.Object` | `getValue()`
`void` | `setDynamicAttribute(java.lang.String name, java.lang.String value)` Set a named attribute to the given value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTProcess.Factory.Attribute

    public XSLTProcess.Factory.Attribute()

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the attribute name.

### getValue

    public java.lang.Object getValue()

  Returns:
    the output property value.

### createDynamicElement

    public java.lang.Object createDynamicElement(java.lang.String name)
                                          throws BuildException

  Description copied from interface: `DynamicElement`
  Create an element with the given name

  Specified by:
    `createDynamicElement` in interface `DynamicElement`
  Parameters:
    `name` - the element nbame
  Returns:
    the element created
  Throws:
    `BuildException` - when any error occurs

### setDynamicAttribute

    public void setDynamicAttribute(java.lang.String name,
                                    java.lang.String value)
                             throws BuildException

  Description copied from interface: `DynamicAttribute`
  Set a named attribute to the given value

  Specified by:
    `setDynamicAttribute` in interface `DynamicAttribute`
  Parameters:
    `name` - the name of the attribute
    `value` - the new value of the attribute
  Throws:
    `BuildException` - when any error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.